import request from '@/utils/request'
// 初始化 工位
export function getMachine() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理工艺_加工顺序调整_查询工位'
    }
  })
}
export function searchtable(num, pageCurrent, pageSize) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: 'MES_机加工MES_记录零件待加工显示',
      param: 'MES终端编号=' + num,
      Pagination: pageCurrent + '&' + pageSize
    }
  })
}
// 调序
export function Order(num1, num2, num3) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: 'MES_机加工MES_待加工区列表_排序',
      param: 'MES终端编号=' + num1 + '&排序ID=' + num2 + '&排序类型=' + num3
    }
  })
}
// 调序权限
export function JurisdictionControl(num1, num2) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '车间生产管理工艺_加工顺序调整_更改权限',
      param: 'MES终端号=' + num1 + '&变更类型=' + num2
    }
  })
}
